Bug 1025448 - [abrt] goldendict-1.0.1-8.fc19: realloc: Process /usr/bin/goldendict was killed by signal 6 (SIGABRT)
[abrt] goldendict-1.0.1-8.fc19: realloc: Process /usr/bin/goldendict was kill...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goldendict (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Howard Ning
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:00104fa7667c3da0444bd47719f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 14:04 EDT by bob53181
Modified: 2014-01-31 23:01 EST (History)
1 user (show)

See Also:
Fixed In Version: goldendict-1.5-0.2.RC1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 23:01:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.19 KB, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: core_backtrace (42.91 KB, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: dso_list (21.61 KB, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: environ (2.03 KB, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-31 14:04 EDT, bob53181
no flags Details
File: maps (95.56 KB, text/plain)
2013-10-31 14:05 EDT, bob53181
no flags Details
File: open_fds (3.84 KB, text/plain)
2013-10-31 14:05 EDT, bob53181
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2013-10-31 14:05 EDT, bob53181
no flags Details

  None (edit)
Description bob53181 2013-10-31 14:04:35 EDT
Description of problem:
I clicked on a search result of the word in the left toolbar

Version-Release number of selected component:
goldendict-1.0.1-8.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/goldendict
crash_function: realloc
executable:     /usr/bin/goldendict
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 realloc at /lib64/libc.so.6
 #6 QListData::realloc(int) at /lib64/libQtCore.so.4
 #7 QListData::append(int) at /lib64/libQtCore.so.4
 #8 QList<QString>::append(QString const&) at /lib64/libQtCore.so.4
 #9 QRegExp::capturedTexts() const at /lib64/libQtCore.so.4
 #10 QRegExp::cap(int) const at /lib64/libQtCore.so.4
 #11 QRegExp::cap(int) at /lib64/libQtCore.so.4
 #12 HunspellMorpho::(anonymous namespace)::HunspellHeadwordsRequest::suggest(std::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >&)
 #13 HunspellMorpho::(anonymous namespace)::HunspellHeadwordsRequestRunnable::run()
 #14 QThreadPoolThread::run() at /lib64/libQtCore.so.4
Comment 1 bob53181 2013-10-31 14:04:42 EDT
Created attachment 818008 [details]
File: backtrace
Comment 2 bob53181 2013-10-31 14:04:45 EDT
Created attachment 818009 [details]
File: cgroup
Comment 3 bob53181 2013-10-31 14:04:49 EDT
Created attachment 818010 [details]
File: core_backtrace
Comment 4 bob53181 2013-10-31 14:04:52 EDT
Created attachment 818011 [details]
File: dso_list
Comment 5 bob53181 2013-10-31 14:04:55 EDT
Created attachment 818012 [details]
File: environ
Comment 6 bob53181 2013-10-31 14:04:59 EDT
Created attachment 818013 [details]
File: limits
Comment 7 bob53181 2013-10-31 14:05:02 EDT
Created attachment 818014 [details]
File: maps
Comment 8 bob53181 2013-10-31 14:05:05 EDT
Created attachment 818015 [details]
File: open_fds
Comment 9 bob53181 2013-10-31 14:05:08 EDT
Created attachment 818016 [details]
File: proc_pid_status
Comment 10 Fedora Update System 2014-01-28 00:39:56 EST
goldendict-1.5-0.2.RC1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.2.RC1.fc20
Comment 11 Fedora Update System 2014-01-28 22:08:28 EST
Package goldendict-1.5-0.2.RC1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goldendict-1.5-0.2.RC1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1709/goldendict-1.5-0.2.RC1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2014-01-31 23:01:30 EST
goldendict-1.5-0.2.RC1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.